xStreamBufferReset

stream_buffer.h

    BaseType_t xStreamBufferReset( StreamBufferHandle_t xStreamBuffer );

Resets a stream buffer to its initial, empty, state. Any data that was in the stream buffer is discarded. A stream buffer can only be reset if there are no tasks blocked waiting to either send to or receive from the stream buffer.

Parameters

  xStreamBuffer | The handle of the stream buffer being reset.

Returns
  If the stream buffer is reset then pdPASS is returned. If there was a task blocked waiting to send to or read from the stream buffer then the stream buffer is not reset and pdFAIL is returned.